Write off a settlement
POST
/api/v1/settlements/{id}/write-off
const url = 'https://example.com/api/v1/settlements/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/write-off';const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/settlements/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/write-off \ --header 'Authorization: Bearer <token>'Writes off an approved settlement that has not yet reached a terminal state. The settlement transitions to WrittenOff, which is a terminal state.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string format: uuid
ID of the settlement to write off
Responses
Section titled “ Responses ”Settlement successfully written off
Settlement is not eligible for write-off
Media type application/json
object
error_code
required
string
message
required
string
Example
{ "error_code": "UNAUTHORIZED", "message": "Authentication credentials were not provided or are invalid."}Unauthorized
Media type application/json
object
error_code
required
string
message
required
string
Example
{ "error_code": "UNAUTHORIZED", "message": "Authentication credentials were not provided or are invalid."}Settlement not found
Media type application/json
object
error_code
required
string
message
required
string
Example
{ "error_code": "UNAUTHORIZED", "message": "Authentication credentials were not provided or are invalid."}Internal server error
Media type application/json
object
error_code
required
string
message
required
string
Example
{ "error_code": "UNAUTHORIZED", "message": "Authentication credentials were not provided or are invalid."}